using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PanelDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        
        private void butCheckLogin_Click(object sender, EventArgs e)
        {
            CheckLogin();
        }

        private void CheckLogin()
        {
            // Код валидации для входа в программу
            if (txtLogin.Text == "1234")
            {   
                panel1.Visible = false;
                // Если панель нам больше не нужна, то можно ее удалить
                // для уменьшения потребления ресурсов
                this.Controls.Remove(panel1);
                panel1.Dispose();
                butCongratulation.Focus(); 
            }
        }

        private void butCongratulation_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Поздравляю, вы ввели правильный пароль!");
        }
    }
}